CREATE TABLE refresh_token (
    id TEXT NOT NULL PRIMARY KEY,
    client_id TEXT NOT NULL,
    user_id TEXT NOT NULL,
    scopes blob NOT NULL, -- list of strings, json-encoded
    auth_time timestamp NOT NULL,
    FOREIGN KEY(client_id) REFERENCES client(id),
    FOREIGN KEY(user_id) REFERENCES user(id)
);
